<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
<title>无标题文档</title>
<style type="text/css">
<!--
body,td,th {
	font-size: 12px;
	color: #FFFFFF;
}
body {
	background-color: #999;
	margin-left: 0px;
	margin-top: 0px;
}
a:link {
	color: #FFFFFF;
}
a:visited {
	color: #FFFFFF;
}
a:active {
	color: #FFFFFF;
}
-->
</style></head>

<body>
<?php
    $dest_folder   =  "/picture/";
 if(!file_exists($dest_folder)){
        mkdir($dest_folder);
 }
 foreach ($_FILES["pictures"]["error"] as $key => $error) {
     if ($error == UPLOAD_ERR_OK) {
	 $houzhui=substr($_FILES["pictures"]["name"][$key],-4);
	 if ($_FILES["pictures"]["size"][$key]<=1024*100) //100K
	 {
	 if ($houzhui==".jpg" or $houzhui==".gif")
	 {
         $tmp_name = $_FILES["pictures"]["tmp_name"][$key];
         $name    = date("ymdhs")."_".mt_rand(10000,99999).$houzhui;
         $uploadfile = $dest_folder.$name;
         move_uploaded_file($tmp_name, $uploadfile);
		echo "<script>
		parent.img.value=\"".$uploadfile."\";
		parent.sm1.disabled=false;
		</script>
		<div align=center>贴图上传成功。[<a href=upload.htm onclick=\"parent.sm1.disabled=true;\">重新上传</a>]</div>"; 		 
}
else
echo "<script>alert('对不起，您上传文件格式不对!请上传.gif或.jpg格式的图片文件!');history.go(-1);</script>";     
}
else
echo "<script>alert('对不起，您上传的文件太大了!请上传文件大小小于100k的图片文件!');history.go(-1);</script>";  
	 }
 }
?>
</body>
</html>